package com.ease.gsms.server.model;

import com.ease.gsms.server.model.util.IDEnum;

import java.util.HashMap;
import java.util.Map;

public enum MessageStatus implements IDEnum {

    CREATED(0),
    ALLOCATED(1),
    RESERVED(2),
    SENT(3),
    DELIVERED(4),
    SENDING_FAILED(5),
    DELIVERY_FAILED(6);

    int id;

    MessageStatus(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

}
